Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StickerType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StickerType

Direct Known Subclasses:
  `TdApi.StickerTypeCustomEmoji`, `TdApi.StickerTypeMask`, `TdApi.StickerTypeRegular`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.StickerType extends TdApi.Object permits TdApi.StickerTypeRegular, TdApi.StickerTypeMask, TdApi.StickerTypeCustomEmoji
This class is an abstract base class. Describes type of a sticker.

## Constructor Summary

Constructors
Constructor
Description
`StickerType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StickerType

public StickerType()
Default class constructor.